Retrieve a MiniMax video task
curl --request GET \
--url https://gengen.farm/api/gengen/v1/contents/generations/tasks/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://gengen.farm/api/gengen/v1/contents/generations/tasks/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://gengen.farm/api/gengen/v1/contents/generations/tasks/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "minimaxh3:task_123",
"model": "minimax-h3",
"status": "succeeded",
"outputs": {
"videos": [
"https://example.com/generated.mp4"
],
"images": []
},
"usage": {
"priceRowId": "minimax-h3-2k-output",
"resolution": "2k",
"billableOutputSeconds": 8,
"referenceVideoPriceRowId": "minimax-h3-2k-reference-video",
"inputVideoDurationSeconds": 6,
"referenceImagePriceRowId": "minimax-h3-reference-image",
"billableReferenceImageCount": 2
}
}
Video API
Retrieve a MiniMax video task
Retrieve status, output URLs and billable usage for MiniMax H3 and H3 Max.
GET
/
contents
/
generations
/
tasks
/
{id}
Retrieve a MiniMax video task
curl --request GET \
--url https://gengen.farm/api/gengen/v1/contents/generations/tasks/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://gengen.farm/api/gengen/v1/contents/generations/tasks/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://gengen.farm/api/gengen/v1/contents/generations/tasks/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "minimaxh3:task_123",
"model": "minimax-h3",
"status": "succeeded",
"outputs": {
"videos": [
"https://example.com/generated.mp4"
],
"images": []
},
"usage": {
"priceRowId": "minimax-h3-2k-output",
"resolution": "2k",
"billableOutputSeconds": 8,
"referenceVideoPriceRowId": "minimax-h3-2k-reference-video",
"inputVideoDurationSeconds": 6,
"referenceImagePriceRowId": "minimax-h3-reference-image",
"billableReferenceImageCount": 2
}
}
Usage
On success,usage.resolution is the pricing tier string. Match each returned row ID to the same model in the price catalog. For H3, multiply each quantity by its rate and add the three amounts. H3 Max uses one rate.
| Model | Quantity in usage | Rate in usage |
|---|---|---|
| H3 | billableOutputSeconds — billable output seconds | priceRowId, per second |
| H3 | inputVideoDurationSeconds — billable reference-video seconds | referenceVideoPriceRowId, per second |
| H3 | billableReferenceImageCount — reference images beyond the first five | referenceImagePriceRowId, per image |
| H3 Max | billableSeconds — billable output seconds | priceRowId, per second |
Authorizations
Response
Current normalized task state.